<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

    <body>
        <ui:decorate template="/templates/extraction/climatsol/cstemplate.xhtml">	

            <ui:define name="title"> #{extractionCSPanel.MSG_TITLE_WINDOW_EXTRACTION}</ui:define>
            <ui:param name="titleExtraction" value=" #{extractionCSPanel.MSG_TITLE_EXTRACTION} ">
            </ui:param>
            <ui:param name="introMain"
                      value="#{extractionCSPanel.MSG_INTRO_MAIN}"></ui:param>
            <ui:param name="uiBean" value="#{uiClimatSol}" />
            <ui:param name="library" value="css/climatSol" />

            <ui:define name="togglePanelItems"> 
                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP1}">
                    <ui:include
                        src="/templates/extraction/panels/nodeableChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-siteChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="1" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP2}">
                    <ui:include
                        src="/templates/extraction/panels/datesChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-freqDatesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="2" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP3}">
                    <ui:include 
                        src="/templates/extraction/panels/variableChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-variablesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="3" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP4}">
                    <ui:include src="/templates/extraction/panels/depthsChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-depthsChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="4" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP5}">
                    <ui:include src="/templates/extraction/panels/displayChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-displayChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="5" />
                    </ui:include>
                </p:tab>
                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP6}">
                    <ui:include src="/templates/extraction/panels/associateChoiceStep.xhtml">
                        <ui:param name="css" value="jsf-datesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="6" />
                    </ui:include>
                </p:tab>


            </ui:define>
            <ui:define name="accordionItems">

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP1}">
                    <ui:include
                        src="/templates/extraction/accordionItems/nodeableAccordionItem.xhtml">
                        <ui:param name="panelNumber" value="1" />
                        <ui:param name="titleForSitesAccordionItem"
                                  value="#{extractionCSPanel.MSG_ACCORDIONITEM_STEP1}" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP2}" >
                    <ui:include
                        src="/templates/extraction/accordionItems/datesAccordionItem.xhtml">
                        <ui:param name="panelNumber" value="2" />
                        <ui:param name="titleForFreqDatesAccordionItem"
                                  value="#{extractionCSPanel.MSG_ACCORDIONITEM_STEP2}" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP3}">
                    <ui:include
                        src="/templates/extraction/accordionItems/variablesAccordionItem.xhtml">
                        <ui:param name="panelNumber" value="3" />
                        <ui:param name="titleForVariablesAccordionItem" value="#{extractionCSPanel.MSG_ACCORDIONITEM_STEP3}" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP4}">
                    <ui:include
                        src="/templates/extraction/accordionItems/depthsAccordionItem.xhtml">
                        <ui:param name="panelNumber" value="4" />
                        <ui:param name="titleForDepthsAccordionItem" value="#{extractionCSPanel.MSG_ACCORDIONITEM_STEP4}" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP5}">
                    <ui:include
                        src="/templates/extraction/accordionItems/displayAccordionItem.xhtml">
                        <ui:param name="panelNumber" value="5" />
                        <ui:param name="titleForDisplayAccordionItem" value="#{extractionCSPanel.MSG_ACCORDIONITEM_STEP5}" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionCSPanel.MSG_CHOICE_STEP6}">
                    <ui:include
                        src="/templates/extraction/accordionItems/associateAccordionItem.xhtml">
                        <ui:param name="panelNumber" value="6" />
                        <ui:param name="titleForAssociateAccordionItem" value="#{extractionCSPanel.MSG_ACCORDIONITEM_STEP6}" />
                    </ui:include>
                </p:tab>
            </ui:define>
        </ui:decorate>
    </body>
</html>